Bug 827786 - [abrt] inkscape-0.48.1-9.fc16: Process /usr/bin/inkscape was killed by signal 11 (SIGSEGV)
[abrt] inkscape-0.48.1-9.fc16: Process /usr/bin/inkscape was killed by signal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:01f2111b0e65816c3223c306172...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 23:04 EDT by David Duncan
Modified: 2013-02-13 11:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:05:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (9.88 KB, text/plain)
2012-06-02 23:04 EDT, David Duncan
no flags Details
File: backtrace (43.80 KB, text/plain)
2012-06-02 23:04 EDT, David Duncan
no flags Details
File: xsession_errors (7.37 KB, text/plain)
2012-06-02 23:04 EDT, David Duncan
no flags Details
File: maps (53.01 KB, text/plain)
2012-06-02 23:04 EDT, David Duncan
no flags Details
File: dso_list (11.13 KB, text/plain)
2012-06-02 23:04 EDT, David Duncan
no flags Details
File: build_ids (4.72 KB, text/plain)
2012-06-02 23:04 EDT, David Duncan
no flags Details

  None (edit)
Description David Duncan 2012-06-02 23:04:42 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        inkscape
crash_function: Inkscape::UI::Dialog::FileImportFromOCALDialog::print_xml_element_names
executable:     /usr/bin/inkscape
kernel:         3.3.6-3.fc16.x86_64
pid:            973
pwd:            /home/dduncan
reason:         Process /usr/bin/inkscape was killed by signal 11 (SIGSEGV)
time:           Sat 02 Jun 2012 10:39:20 PM EDT
uid:            1000
username:       dduncan

backtrace:      Text file, 44847 bytes
build_ids:      Text file, 4838 bytes
dso_list:       Text file, 11398 bytes
event_log:      Text file, 10116 bytes
maps:           Text file, 54278 bytes
xsession_errors: Text file, 7549 bytes

comment:
:Start Inkscape
:Click "File" 
:Click "Import from Open Clip Art Library"
:Attempted to search for "hard disk".  
:Inkscape aborts. 

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=dduncan.redhat.nuncan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=97de8b809a8b59cc963210c1000000b6-1337706265.344422-1179247890
:GNOME_KEYRING_CONTROL=/tmp/keyring-lLHjqu
:IMSETTINGS_MODULE=none
:HISTFILESIZE=5000
:USER=dduncan
:USERNAME=dduncan
:MAIL=/var/spool/mail/dduncan
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/dduncan/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/dduncan
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1702
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/dduncan
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=dduncan
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-L6DND1pHxY,guid=cf70516ba589b4bced81c21500000036
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/dduncan
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-dduncan-AqCmZ5/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1708,unix/unix:/tmp/.ICE-unix/1708
:SSH_AUTH_SOCK=/tmp/keyring-lLHjqu/ssh
:GPG_AGENT_INFO=/tmp/keyring-lLHjqu/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1920-dduncan.redhat.nuncan-inkscape-25_TIME984840343
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-inkscape.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=973

smolt_data:
:
:
:General
:=================================
:UUID: 7eb8acc3-3615-42c6-b699-ed49b8510263
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5382.32
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2701
:System Memory: 3842
:System Swap: 5887
:Vendor: LENOVO
:System: 4243B37 ThinkPad T520
:Form factor: Notebook
:Kernel: 3.3.6-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59427:6058:8655) pci, sdhci-pci, BASE, N/A
:(32902:294:6058:8655) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8655) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8655) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_dduncan-lv_root / ext4 4096 4096 13081819 7146508 6491148 3276800 2986181 2986181
:/dev/sda1 /boot ext4 1024 1024 508745 410108 384508 128016 127785 127785
:/dev/mapper/vg_dduncan-lv_home /home ext4 4096 4096 107230882 99470477 94103079 26836992 26710312 26710312
:/dev/sdb1 WITHHELD fuseblk 4096 4096 78142160 39466658 39466658 158063240 157931322 157931322
:/dev/sr0 WITHHELD iso9660 UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:

var_log_messages:
:Jun  2 22:39:20 dduncan kernel: [983681.709830] inkscape[973]: segfault at 0 ip 00000000009d38a8 sp 00007fff93c6aa20 error 4 in inkscape[400000+c38000]
:Jun  2 22:39:23 dduncan abrt[1020]: Saved core dump of pid 973 (/usr/bin/inkscape) to /var/spool/abrt/ccpp-2012-06-02-22:39:20-973 (116809728 bytes)
Comment 1 David Duncan 2012-06-02 23:04:49 EDT
Created attachment 588763 [details]
File: event_log
Comment 2 David Duncan 2012-06-02 23:04:51 EDT
Created attachment 588764 [details]
File: backtrace
Comment 3 David Duncan 2012-06-02 23:04:52 EDT
Created attachment 588765 [details]
File: xsession_errors
Comment 4 David Duncan 2012-06-02 23:04:54 EDT
Created attachment 588766 [details]
File: maps
Comment 5 David Duncan 2012-06-02 23:04:56 EDT
Created attachment 588767 [details]
File: dso_list
Comment 6 David Duncan 2012-06-02 23:04:58 EDT
Created attachment 588768 [details]
File: build_ids
Comment 7 Fedora Admin XMLRPC Client 2012-10-03 13:39:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2013-01-16 09:50:39 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 11:05:24 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.